
Figure - Bug #117151
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【小窗模式】【VC1&VX1】小窗顶部导航条及相关按钮尺寸与UI图不符
2023-03-24 15:37 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date: 2023-03-31

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 按照UI重新调整大小

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开一个应用小窗

【预期结果】

1、小窗的相关部件尺寸与UI设计一致

【实际结果】

1、小窗顶部导航条及相关按钮尺寸与UI图不符

且文件小窗的顶部导航条的所有按钮的颜色与UI图有明显差异

History

#1 - 2023-03-24 15:38 - CD TEST-方永红

- Category changed from CD-FW to 窗口定制

#2 - 2023-03-28 10:36 - CD FW-鲁凯峰

- Due date set to 2023-03-31

#3 - 2023-03-28 10:47 - CD FW-鲁凯峰

重新调整VC1的CaptionUI问题

#4 - 2023-03-30 19:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191117 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:DocumentsUI:update colorsTC-RID: 1201-0300801IssueID: TS-R-BUG-117151Change-Id: I7fb8db01ea60fe0ce9037d087415b267c96383d5
#5 - 2023-03-30 19:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191015 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update ui layoutTC-RID: 1201-0204601IssueID: TS-R-BUG-117151Change-Id: I799b8dc720374b6ea0636221b13774c27157bca5

#6 - 2023-03-30 19:54 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 按照UI重新调整大小

■ Current conclusion

问题已经解决

■ My analysis

按照UI重新调整大小

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/191015

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/191117

#7 - 2023-04-04 11:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD FW-鲁凯峰

4.4

小窗顶部导航条及相关按钮尺寸与UI仍有差距

验证失败

#8 - 2023-04-19 16:32 - CD FW 曹覃刚

- Assignee changed from CD FW-鲁凯峰 to CD FW 曹覃刚

#9 - 2023-04-20 16:52 - CD FW-鲁凯峰

■ Current conclusion

已经重新修改

■ My analysis

由于小窗的内容要缩放,所以在进行窗口大小计算的时候,也把里面的控件进行了缩放,所以要符合UI设计图,就是除以缩放比列,这样计算出来的大小才符

合UI设计

■ Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/191015
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/191117


https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/195002

#10 - 2023-04-20 20:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195002 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update ui layoutTC-RID: 1201-0204601IssueID: TS-R-BUG-117151Change-Id: I36a71034cb2730e23a08d2d39e54f201727937e7

#11 - 2023-04-20 20:22 - CD FW-鲁凯峰

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

#12 - 2023-04-21 18:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

4.21

验证通过

#13 - 2023-04-21 19:00 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1537.png 136 KB 2023-03-24 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/195002

